Page MenuHomePhabricator

[DO NOT USE] MediaWiki PHP 5.4 compatibility (tracking) [superseded by #NewPHP]
Closed, InvalidPublic

Description

Seems we've got some issues gov'ner

Worth noting that PHP 5.3 is EOL upstream. So it's only safe to use 5.3.3 (the minimum version we specify) if using a distribution with security patches maintained by somewhere else (e.g. Debian).


Version: unspecified
Severity: normal

Details

Reference
bz30092

Event Timeline

bzimport raised the priority of this task from to Low.Nov 21 2014, 11:53 PM
bzimport set Reference to bz30092.
bzimport added a subscriber: Unknown Object (MLST).
Reedy created this task.Jul 27 2011, 11:40 PM

Bug #55305 ref lost: 1st ref instantiated in class def, 2nd ref made w/o instantiating
https://bugs.php.net/bug.php?id=553051

ryan wrote:

That's https://bugs.php.net/bug.php?id=55305 and created in BZ as #30094

Confirmed upstream bug https://bugs.php.net/bug.php?id=55305 is gone in PHP 5.4.0beta1; local bug 30094 is closed for a month and a half.

Changing summary on this to clarify that remnants are a tracking bug.

shealen.clare wrote:

This bug has not been touched in at least six months. With this in mind, I've been asked by the bugmeister to bump this bug's priority down from "High". Concerns can be addressed to mah@everybody.org.

Not fixed anymore, has unresolved blockers.

Mattflaschen-WMF set Security to None.
greg added a subscriber: greg.Sep 8 2015, 3:33 PM

T75901: Drop PHP 5.3 support will be resolved as 5.5.9+ from REL1_27 onwards; consequently, can we mark this as Declined?

Jdforrester-WMF closed this task as Resolved.Jan 28 2016, 12:05 AM
Jdforrester-WMF claimed this task.

This'll do.

Danny_B moved this task from Unsorted to PHP 5.4 on the [DO NOT USE] NewPHP board.Jul 11 2016, 1:54 AM
Danny_B renamed this task from MediaWiki PHP 5.4 compatibility (tracking) to [DO NOT USE] MediaWiki PHP 5.4 compatibility (tracking) [superseded by #NewPHP].Jul 27 2016, 12:31 PM
Danny_B changed the task status from Resolved to Invalid.
Danny_B lowered the priority of this task from Low to Lowest.
Danny_B removed a project: MediaWiki-General.
Danny_B removed Jdforrester-WMF as the assignee of this task.Jul 27 2016, 12:33 PM